FROM memcached:alpine
MAINTAINER Mirabeau <info@mirabeau.nl>

USER root

#ADD https://releases.hashicorp.com/consul/0.9.3/consul_0.9.3_linux_amd64.zip /tmp/consul_0.9.3_linux_amd64.zip
#RUn  pip install python-consul pyapi-gitlab s3cmd docker-py boto awscli && \
#    mv consul /usr/local/bin && \
#    rm -rf /root/.cache # && \
#    unzip /tmp/consul_0.9.3_linux_amd64.zip && \

# ADD AWS
RUN mkdir -p /aws && \
	apk -Uuv add groff less python py-pip curl && \
	pip install awscli && \
	apk --purge -v del py-pip && \
	rm /var/cache/apk/*

# Add healthcheck
# HEALTHCHECK CMD /usr/bin/nc -z 127.0.0.1 11211 || exit 1
# Maybe better health check:
HEALTHCHECK CMD echo version | /usr/bin/nc 127.0.0.1 11211 | grep -q "VERSION" || exit 1
# echo version | nc localhost 11211
# VERSION 1.5.3

# Call our lambda function to register domain name
ADD lambda-r53.sh /lambda-r53.sh

# From memcached:alpine Dockerfile at https://github.com/docker-library/memcached/blob/master/alpine/Dockerfile
USER memcache
ENTRYPOINT ["/lambda-r53.sh", "docker-entrypoint.sh"]
CMD ["memcached"]
